Bug 118485 - Hard coded dependancy on XFree86 should be removed/changed
Summary: Hard coded dependancy on XFree86 should be removed/changed
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xinitrc
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: xorgdeps
TreeView+ depends on / blocked
 
Reported: 2004-03-16 22:51 UTC by Mike A. Harris
Modified: 2007-11-30 22:10 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2004-03-17 03:08:37 UTC


Attachments (Terms of Use)

Description Mike A. Harris 2004-03-16 22:51:07 UTC
There are hard coded dependancies on XFree86 package, which
needs to be fixed before xorg-x11 can be enabled in the development
tree.

/mnt/redhat/test/rawhide-latest/i386/Fedora/RPMS/xinitrc-3.35-1.1.noarch.rpm:
XFree86

I haven't investigated this deeper yet, but will update the
report unless it's fixed before I get to looking deeper myself.  ;o)

Comment 1 Mike A. Harris 2004-03-17 03:08:37 UTC
Fixed in 3.36-1 and higher in rawhide.

Removed the dependancy, and replaced with some dependancies on
files instead.  Many of those files are in the XFree86 main package,
and also xorg-x11 main package, so whatever the dep was present
for, should be satisfied still without anything breaking, plus
the deps are more fine grained in case things move around in the
future.


Note You need to log in before you can comment on or make changes to this bug.